<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="21507" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_0" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="21505"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="RDSAddHomeVC">
            <connections>
                <outlet property="defaultHomeBtn" destination="zdh-SX-UgO" id="PCa-rr-wJI"/>
                <outlet property="nameTF" destination="EhQ-xT-gzN" id="Iqj-2p-WVY"/>
                <outlet property="view" destination="i5M-Pr-FkT" id="sfx-zR-JGt"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="i5M-Pr-FkT">
            <rect key="frame" x="0.0" y="0.0" width="390" height="844"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="新建家庭" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="FOx-zR-Eaz">
                    <rect key="frame" x="30" y="108.66666666666667" width="122" height="36.000000000000014"/>
                    <fontDescription key="fontDescription" type="boldSystem" pointSize="30"/>
                    <color key="textColor" red="0.1529411765" green="0.18039215689999999" blue="0.23137254900000001" alpha="1" colorSpace="calibratedRGB"/>
                    <nil key="highlightedColor"/>
                </label>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="69u-CW-FRI">
                    <rect key="frame" x="30" y="174.66666666666666" width="330" height="70"/>
                    <subviews>
                        <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="bottom" placeholder="请为家设置一个名称" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="EhQ-xT-gzN">
                            <rect key="frame" x="0.0" y="3" width="330" height="59"/>
                            <color key="textColor" red="0.1529411765" green="0.18039215689999999" blue="0.23137254900000001" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                            <fontDescription key="fontDescription" type="boldSystem" pointSize="16"/>
                            <textInputTraits key="textInputTraits" keyboardType="alphabet"/>
                        </textField>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="YiQ-Em-6rQ">
                            <rect key="frame" x="0.0" y="69" width="330" height="1"/>
                            <color key="backgroundColor" red="0.0" green="0.0" blue="0.0" alpha="0.095756278129999997" colorSpace="custom" customColorSpace="calibratedRGB"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="1" id="nO7-Ly-aiL"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="17"/>
                            <nil key="textColor"/>
                            <nil key="highlightedColor"/>
                        </label>
                    </subviews>
                    <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <constraints>
                        <constraint firstItem="YiQ-Em-6rQ" firstAttribute="leading" secondItem="69u-CW-FRI" secondAttribute="leading" id="0uY-ne-RCg"/>
                        <constraint firstAttribute="bottom" secondItem="YiQ-Em-6rQ" secondAttribute="bottom" id="93m-1V-7mV"/>
                        <constraint firstItem="EhQ-xT-gzN" firstAttribute="top" secondItem="69u-CW-FRI" secondAttribute="top" constant="3" id="E0v-Wk-3ZI"/>
                        <constraint firstAttribute="bottom" secondItem="EhQ-xT-gzN" secondAttribute="bottom" constant="8" id="EYA-Ic-7d0"/>
                        <constraint firstAttribute="trailing" secondItem="YiQ-Em-6rQ" secondAttribute="trailing" id="J6q-fQ-W7b"/>
                        <constraint firstItem="EhQ-xT-gzN" firstAttribute="centerX" secondItem="69u-CW-FRI" secondAttribute="centerX" id="O1z-hz-kTh"/>
                        <constraint firstItem="EhQ-xT-gzN" firstAttribute="leading" secondItem="69u-CW-FRI" secondAttribute="leading" id="ljI-2K-1gv"/>
                        <constraint firstAttribute="height" constant="70" id="rVw-C2-Wyp"/>
                    </constraints>
                </view>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="zdh-SX-UgO">
                    <rect key="frame" x="30" y="274.66666666666669" width="119" height="20"/>
                    <fontDescription key="fontDescription" name="PingFangSC-Semibold" family="PingFang SC" pointSize="14"/>
                    <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                    <state key="normal" title=" 设置为默认的家" image="icon_check">
                        <color key="titleColor" red="0.1529411765" green="0.18039215689999999" blue="0.23137254900000001" alpha="1" colorSpace="calibratedRGB"/>
                    </state>
                    <state key="selected" image="icon_check_sel"/>
                    <connections>
                        <action selector="onDefaultHomeClick:" destination="-1" eventType="touchUpInside" id="Jzh-6n-GIQ"/>
                    </connections>
                </button>
                <button opaque="NO" clipsSubviews="YES" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Dar-ZY-SVe">
                    <rect key="frame" x="40" y="379.66666666666669" width="310" height="48"/>
                    <color key="backgroundColor" red="0.078431372550000003" green="0.78823529410000004" blue="0.78823529410000004" alpha="1" colorSpace="calibratedRGB"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="48" id="JeE-EQ-nhv"/>
                    </constraints>
                    <fontDescription key="fontDescription" type="boldSystem" pointSize="16"/>
                    <state key="normal" title="确认">
                        <color key="titleColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    </state>
                    <userDefinedRuntimeAttributes>
                        <userDefinedRuntimeAttribute type="string" keyPath="layer.cornerRadius" value="8"/>
                        <userDefinedRuntimeAttribute type="boolean" keyPath="layer.masksToBounds" value="YES"/>
                    </userDefinedRuntimeAttributes>
                    <connections>
                        <action selector="onSureClick:" destination="-1" eventType="touchUpInside" id="gaq-NZ-R9S"/>
                    </connections>
                </button>
            </subviews>
            <viewLayoutGuide key="safeArea" id="Q5M-cg-NOt"/>
            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
            <constraints>
                <constraint firstItem="69u-CW-FRI" firstAttribute="top" secondItem="FOx-zR-Eaz" secondAttribute="bottom" constant="30" id="Dts-pT-G67"/>
                <constraint firstItem="zdh-SX-UgO" firstAttribute="top" secondItem="69u-CW-FRI" secondAttribute="bottom" constant="30" id="KX7-VO-T2I"/>
                <constraint firstItem="Dar-ZY-SVe" firstAttribute="top" secondItem="zdh-SX-UgO" secondAttribute="bottom" constant="85" id="Krv-bC-wRE"/>
                <constraint firstItem="FOx-zR-Eaz" firstAttribute="centerY" secondItem="i5M-Pr-FkT" secondAttribute="centerY" multiplier="0.3" id="SRR-qV-08A"/>
                <constraint firstItem="Q5M-cg-NOt" firstAttribute="trailing" secondItem="69u-CW-FRI" secondAttribute="trailing" constant="30" id="Sto-ZI-6PF"/>
                <constraint firstItem="Dar-ZY-SVe" firstAttribute="leading" secondItem="Q5M-cg-NOt" secondAttribute="leading" constant="40" id="bzO-Cd-n2A"/>
                <constraint firstItem="zdh-SX-UgO" firstAttribute="leading" secondItem="Q5M-cg-NOt" secondAttribute="leading" constant="30" id="fXH-yK-dRx"/>
                <constraint firstItem="FOx-zR-Eaz" firstAttribute="leading" secondItem="Q5M-cg-NOt" secondAttribute="leading" constant="30" id="hxi-Ao-j57"/>
                <constraint firstItem="69u-CW-FRI" firstAttribute="leading" secondItem="Q5M-cg-NOt" secondAttribute="leading" constant="30" id="oxe-NZ-65P"/>
                <constraint firstItem="Dar-ZY-SVe" firstAttribute="centerX" secondItem="i5M-Pr-FkT" secondAttribute="centerX" id="qPH-sY-leK"/>
            </constraints>
            <point key="canvasLocation" x="140" y="-1"/>
        </view>
    </objects>
    <resources>
        <image name="icon_check" width="16" height="16"/>
        <image name="icon_check_sel" width="16" height="16"/>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
    </resources>
</document>
